using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.Design;

namespace ServerControl1
{
    public class TestControlDesigner : ControlDesigner
    {
        public override DesignerActionListCollection ActionLists
        {
            get
            {
                DesignerActionListCollection actionLists =
                    new DesignerActionListCollection();
                actionLists.AddRange(base.ActionLists);
                actionLists.Add(new TestControlList(this));
                return actionLists;
            }
        }

        private sealed class TestControlList : DesignerActionList
        {
            public TestControlList(TestControlDesigner c)
                : base(c.Component)
            {
            }

            public override DesignerActionItemCollection GetSortedActionItems()
            {
                DesignerActionItemCollection c = new DesignerActionItemCollection();
                c.Add(new DesignerActionTextItem("FOO", "FOO"));
                return c;
            }
        }
    }


}
